GpgFrontend::UI::ExportKeyPackageDialog Class Reference
Inheritance diagram for GpgFrontend::UI::ExportKeyPackageDialog:
Collaboration diagram for GpgFrontend::UI::ExportKeyPackageDialog:

## Public Member Functions

| ExportKeyPackageDialog (KeyIdArgsListPtr key_ids, QWidget *parent)
| Construct a new Export Key Package Dialog object. More...
Public Member Functions inherited from GpgFrontend::UI::GeneralDialog
| GeneralDialog (std::string name, QWidget *parent=nullptr)

## Private Attributes

std::shared_ptr< Ui_exportKeyPackageDialog > | ui_
KeyIdArgsListPtr | key_ids_
std::string | passphrase_

## Constructor & Destructor Documentation

## ExportKeyPackageDialog()

GpgFrontend::UI::ExportKeyPackageDialog::ExportKeyPackageDialog | ( | KeyIdArgsListPtr | key_ids,
|  | QWidget * | parent
| ) |  |

explicit

Construct a new Export Key Package Dialog object.

Parameters

  key_ids |
  parent | Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

All the source code of GpgFrontend was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

SPDX-License-Identifier: GPL-3.0-or-later

References GpgFrontend::KeyPackageOperator::GenerateKeyPackageName().

The documentation for this class was generated from the following files:

- src/ui/dialog/import_export/ExportKeyPackageDialog.h
- src/ui/dialog/import_export/ExportKeyPackageDialog.cpp